Imports DevExpress.XtraBars.Docking

Public Class PanelInfo
    Public ReadOnly Title As String
    Public ReadOnly PanelControl As BasePanel
    Public ReadOnly Position As DockingStyle
    Public ReadOnly Datasource As DataTable

    Public CanBeClosed As Boolean = True
    Public CanBePinned As Boolean = True
    Public CanBeUndocked As Boolean = True
    Public CanBeMaximized As Boolean = True

    Public Sub New(PanelControl As BasePanel, Position As DockingStyle)
        Me.Title = PanelControl.Caption
        Me.PanelControl = PanelControl
        Me.Position = Position
    End Sub

    Public Sub New(PanelControl As BasePanel, Position As DockingStyle, Datasource As DataTable)
        Me.Title = PanelControl.Caption
        Me.PanelControl = PanelControl
        Me.Position = Position
        Me.Datasource = Datasource
    End Sub
End Class